Ubuntu

Please backport s3cmd 0.9.9 to Jaunty

Reported by Michal Ludvig on 2009-02-24
14
Affects Status Importance Assigned to Milestone
Jaunty Jackalope Backports
Wishlist
Unassigned
s3cmd (Ubuntu)
Wishlist
Unassigned

Bug Description

Please backport s3cmd 0.9.9 to Jaunty.

Brian Curtis (bcurtiswx) wrote :

Thank you for your upgrade request. I have added the "upgrade" tag so devs can find upgrade requests easier.

Changed in s3cmd:
importance: Undecided → Wishlist
Michal Ludvig (michal-logix) wrote :

Can you *please* do the upgrade of s3cmd to 0.9.9?

The old 0.9.8.4 has got a number of serious bugs in it and I keep getting lots of bugreports from Ubuntu users, just because they get an obsolete version by default. I'm really sad that Jaunty has been released with the old version, although this upgrade request has been open long before the release. Do it at least for Karmic. Pretty please!

tags: removed: upgrade
Loïc Martin (loic-martin3) wrote :

0.9.9 is now in Karmic, so it's not an upgrade bug anymore. To get 0.9.9 in Jaunty, this bug needs to change to a backport request, and you need to find a few people to test the bacported packages in Jaunty.
I've got packages for Jaunty to test on my ppa at https://launchpad.net/~loic-martin3/+archive/ppa/+files/s3cmd_0.9.9-2~jaunty1_all.deb ; however I can't test them myself since I never used the program nor the Amazon service.

If 2 or 3 people could test them on Jaunty then the backport could be considered. However, without any feedback it won't work, since nobody would know for sure that it won't break on end user desktops.

Changed in s3cmd (Ubuntu):
status: New → Invalid
Changed in jaunty-backports:
status: New → Confirmed
Loïc Martin (loic-martin3) wrote :

Package builds fine on a ppa, see https://launchpad.net/~loic-martin3/+archive/ppa/

description: updated
summary: - Please upgrade s3cmd to 0.9.9
+ Please backport s3cmd 0.9.9 to Jaunty
Justin Forest (umonkey) wrote :

Works well, thank you!

Mario Joußen (mario-joussen) wrote :

Please find attached a prevu backport of version 0.9.9 which runs fine here.

htrex (hantarex) wrote :

the default s3cmd 0.9.8.4 shipped with jaunty is missing the -r option (recursive) so I needed to upgrade.
now i'm using https://launchpad.net/~loic-martin3/+archive/ppa/+files/s3cmd_0.9.9-2~jaunty1_all.deb
on jaunty, and seems to work fine.

thanks

Scott Kitterman (kitterman) wrote :

Ack from ubuntu-backporters.

Changed in jaunty-backports:
importance: Undecided → Wishlist
status: Confirmed → In Progress
James Westby (james-w) wrote :

 * Trying to backport s3cmd...
I: Extracting s3cmd_0.9.9-2.dsc ... done.
I: Building backport of s3cmd as 0.9.9-2~jaunty1 ... done.

Changed in jaunty-backports:
status: In Progress → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers